@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,400;0,500;0,600;1,300;1,400&display=swap');
*{
    padding:0;
    margin:0;
    box-sizing: border-box;
    text-decoration: none;
    list-style: none;
    scroll-behavior: smooth;
    font-family: 'Poppins', sans-serif;
}
:root{
    --bg-color: #111111;
    --second-bg-color: #202029;
    --text-color:#fff;
    --second-color:#ccc;
    --main-color: #f9004d;
    --big-font:5rem;
    --h2-font:3rem;
    --p-font:1.1rem;
}
body{
    background: var(--bg-color);
    color: var(--text-color);

}
header{
    position:fixed;
    width:100%;
    top:0;
    right:0;
    z-index:1000;
    display:flex;
    
    
    background: transparent;
    padding:22px 5%;
    border-bottom: 1px solid transparent;
    transition: all .45s ease;
}
.logo{
    color: var(--text-color);
    font-size: 35px;
    font-weight: 700;
    letter-spacing: 1px;
    margin-left: 10px;

}
span{
    color: var(--main-color);
}

.navlist{
    display: flex;
    align-items: center;
    justify-content: center;
     margin-left:480px;
    
}

.navlist a{
    color: var(--second-color);
    font-size:17px;
    font-weight: 500;
    margin: 0 25px;
    float:right;
    transition: all .45s ease;
}
.navlist a:hover{
    color:var(--main-color);
}
.navlist a.active{
    color: var(--main-color);
}
#menu-icon{
    font-size: 35px;
    color: var(--text-color);
    z-index: 1000;
    cursor: pointer;
    margin-left: 25px;
    display: none;
}
section{
    padding: 160px 15% 120px;
}
.home{
    position:relative;
    height:100vh;
    width:100%;
    /* background-image: url(ankita2.jpg); */
    background-image: linear-gradient(rgba(59, 59, 59, 0.9),rgba(10, 10, 10, 0.9)),url(ankita2.jpg);
    background-size: cover ;
    background-position: center;
    display:flex;
    align-items: center;
    justify-content: flex-start;
}
.slide{
    margin-bottom: 20px;
}
.one{
    display: inline-block;
    margin-right: 15px;
    padding: 0 15px;
    line-height: 32px;
    font-size: 20px;
    font-weight: 500;
    border-radius: 5px;
    background: var(--main-color);
    color: var(--text-color);
}
.two{
    display: inline-block;
    color: var(--second-color);
    font-size: 20px;
    font-weight: 500;
}
.home-text h1{
    
    font-size: var(--big-font);
    font-weight: 700;
    color: var(--text-color);
    line-height: 1.1;
    margin: 0 0 8px;
}
.home-text h6{
    color:var(--text-color);
    margin: 0 0 35px;
    font-size: 1.5rem;
    font-weight: 500;
    line-height: 1.1;

}
.home-text p{
    color:var(--second-color);
    font-size: var(--p-font);
    line-height: 1.8;
    margin-bottom: 30px;
}
.button{
    display:inline-block;
    align-items: center;
    justify-content: center;
}
.btn{
    display:inline-block;
    padding: 12px;
    background: var(--main-color);
    border-radius: 5px;
    color: var(--text-color);
    font-size: 1rem;
    letter-spacing: 1px;
    font-weight: 500;
    transition: all .45s ease;
    
}

.btn:hover{
   transform:scale(0.9);
}
.about{
    display:grid;
    grid-template-columns: repeat(2, 1fr);
    background-color: rgb(21, 20, 22);
    align-items: center;
    gap:1.5rem;

}
.about-img img{
    max-width: 520px;
    height: 540px;
    width:100%;
    border-radius:5px;
}
.about-text h2{
    font-size: var(--h2-font);
    line-height: 1;

}
.about-text h4{
    font-size: 24px;
    font-weight:600 ;
    color: var(--text-color);
    line-height: 1.7;
    margin: 15px 0 30px;
}
.about-text p{
    color: var(--second-color);
    font-size: var(--p-font);
    line-height: 1.8;
    margin-bottom: 4rem;
}
.project{
    background: var(--second-bg-color);
}
.main-text{
    text-align: center;
}
.main-text p{
    color: var(--second-color);
    font-size: 15px;
    margin-bottom: 15px;
}
.main-text h2{
    font-size: var(--h2-font);
    line-height: 1;
}
.project-content{
    display:grid;
    grid-template-columns: repeat(auto-fit, minmax(250px, auto));
    align-items: center;
    gap:2.5rem;
    margin-top: 5rem;
}
.box{
    background: var(--bg-color);
    padding: 35px 45px;
    border-radius: 8px;
    transition: all .45s ease;
}
.box h3{
    font-size: 24px;
    font-weight: 600;
    color:var(--text-color);
    margin-bottom: 15px;
}
.box p{
    color: var(--second-color);
    font-size: 1rem;
    line-height: 1.8;
    margin-bottom: 25px;
}
.box:hover{
    transform: translateY(-8px);
    cursor: pointer;
}
.awards{
    background: var(--bg-color);
}
.main-text{
    text-align: center;
}
.main-text p{
    color: var(--second-color);
    font-size: 15px;
    margin-bottom: 15px;
}
.main-text h2{
    font-size: var(--h2-font);
    line-height: 1;
}
.awards-content{
    display:grid;
    grid-template-columns: repeat(auto-fit, minmax(250px, auto));
    align-items: center;
    gap:2.5rem;
    margin-top: 5rem;
}
.box1{
    background: var(--second-bg-color);
    padding: 35px 45px;
    border-radius: 8px;
    
    transition: all .45s ease;
}
.box1 h2{
    font-size: 18px;
    font-weight: 600;
    color:var(--text-color);
    margin-bottom: 15px;
}
.box1 ul li{
    color: var(--second-color);
    text-align: justify;
    font-size: 12px;
    line-height: 1.1;
    list-style-type: disc;
    margin-bottom: 25px;
}

.box1:hover{
    transform: translateY(-8px);
    cursor: pointer;
}
.btn1{
    display:inline-block;
    padding: 2px;
    background: var(--main-color);
    border-radius: 5px;
    color: var(--text-color);
    font-size: 0.8rem;
    letter-spacing: 1px;
    font-weight: 600;
    margin-left:5px ;
    transition: all .45s ease;
}

.skills{
    background-color:var(--second-bg-color);
    

}

.skills h1{
    
    color:  white;
    text-align: center;
    margin:0px 0px 20px;
    font-size: 35px;
    padding-top: 10px;
    padding-bottom: 55px;

}   
.skills p{
    font-size: 20px;
    font-weight: 400;
    line-height: 1.8;
    color: white;
    font-family: 'Open Sans', sans-serif;

}

.skill-grid{
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(200px, auto));
    align-items: center;
    gap:4.5rem;
}
progress {
    position: absolute;
    height: 10px;
    width: 35%;
    border: 1px solid #fff;
    border-radius: 5px;
 }
 progress::before {
    
    position: absolute;
    width: 100%;
    text-align: center;
    font-size: 18px;
    color: white;
 }
 progress::-webkit-progress-bar {
    background-color: white;
 }
 progress::-webkit-progress-value {
    background-color:#f9004d;
 }

 .contact{
    background: var(--bg-color);
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    align-items: center;
    gap: 2.5rem;
 }
 .contact-text h2{
    font-size: var(--h2-font);
    line-height: 1;
 }
 .list{
    margin-top: 2.8rem;
    margin-bottom: 2.8rem;
 }
 .list li{
    margin-bottom:12px;
 }
 .list li a{
    display: block;
    color:var(--second-color);
    font-size: 14px;
    transition: all .45s ease;
 }
 .list li a:hover{
    color:var(--text-color);
    transform:translateY(5px);
 }

 .contact-icons i{
    height: 30px;
    width: 25px;
    /* background: var(--main-color); */
    color:var(--text-color);
    font-size:22px;
    display: inline-block;
    align-items: center;
    justify-content: center;
    border-radius: 8px;
    margin-right: 15px;
    transition: all .45s ease;
 }
 .contact-icons i:hover{
    color: var(--main-color);
 }
 .contact-form form{
    position: relative;
 }
 .contact-form form input, form textarea{
    width:100%;
    padding: 14px;
    background: var(--second-bg-color);
    color: var(--text-color);
    border:none;
    outline: none;
    font-size: 15px;
    border-radius: 8px;
    margin-bottom: 10px;

 }
 .contact-form textarea{
    resize:none;
    height: 240px;
 }
 .contact-form .submit{
    display: inline-block;
    font-size: 16px;
    background: var(--main-color);
    color: var(--text-color);
    width:160px;
    transition: all .45s ease;
 }
 .contact-form .submit:hover{
    transform: scale(1.1);
    cursor: pointer;
 }
 .end{
    padding: 20px 15%;
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    justify-content: space-between;
    gap:2rem ;
    background: var(--second-bg-color);
 }
 .last-text p{
    color:white;
 }
 .top i{
    padding:10px;
    border-radius: 8px;
    font-size: 15px;
    color: var(--text-color);
    background: var(--main-color);

 }
